# $Id: __init__.py,v 1.3 2001/07/18 14:21:17 erik Exp $
# $Source: /cvs/make_product/__init__.py,v $
__version__='$Revision: 1.3 $'[11:-2]

"""Initialize the make_product product"""

from Globals import ImageFile, package_home
import os.path

misc_ = {}
path = os.path.join(package_home(globals()), 'www/')

for file in os.listdir(path):
	if file[-3:] == 'gif':
		misc_[file] = ImageFile('www/%s' % file, globals())

import make_product

def initialize(context):
	"""Initialize the product"""
	try:
		context.registerClass(
			make_product.make_product,
			constructors = (make_product.make_product_add_form,
							make_product.make_product_add,
							make_product.manage_add_make_product)
			)
		context.registerHelp()
		context.registerHelpTitle('MakeProduct help')
	except:
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb
